org.eclipse.rap.rwt.client.service

## Interface ExitConfirmation

All Superinterfaces:
  ClientService, java.io.Serializable

    public interface ExitConfirmation
    extends ClientService

The exit confirmation service allows applications to show a confirmation dialog before the user leaves the application, e.g. by closing the browser tab or navigating away from the page. This feature is supported by all relevant web browsers and may also be supported by other clients. Please note that some browsers ignore the message and only display a generic confirmation dialog if a message is set.

Since:
  2.0

### Method Summary

Methods
`java.lang.String` `getMessage()` Returns the current exit confirmation message.
`void` `setMessage(java.lang.String message)` Enables the exit confirmation with the given message if the message is not null.

### Method Detail

#### setMessage

    void setMessage(java.lang.String message)

Enables the exit confirmation with the given message if the message is not null. Setting the message to `null` disables the exit confirmation.

Parameters:
  `message` - the message to display when the user is about to leave the application

#### getMessage

    java.lang.String getMessage()

Returns the current exit confirmation message.

Returns:
  the current exit confirmation message or null, it the exit confirmation is disabled

Copyright (c) EclipseSource and others 2002, 2019. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0